curl --request POST \
--url https://api-sandbox.synctera.com/v0/accounts/{account_id}/relationships \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted_at": "2023-11-07T05:31:56Z",
"ownership_percentage": 35.75,
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/accounts/{account_id}/relationships"
payload = {
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted_at": "2023-11-07T05:31:56Z",
"ownership_percentage": 35.75,
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
created_at: '2023-11-07T05:31:56Z',
customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
deleted_at: '2023-11-07T05:31:56Z',
ownership_percentage: 35.75,
person_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
updated_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api-sandbox.synctera.com/v0/accounts/{account_id}/relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"relationship_type": "ACCOUNT_HOLDER",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownership_percentage": 35.75,
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Create account relationship
Add a customer to an account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Path Parameters
Unique identifier for the account.
"57826c51-e4ff-4e57-9558-08cab6b963c7"
Body
Account relationship object
The relationship of the account and the customer/business. Either customer_id OR business_id must be specified, but not both.
Relationship type
ACCOUNT_HOLDER, AUTHORIZED_SIGNER, AUTHORIZED_USER, BENEFICIARY, JOINT_ACCOUNT_HOLDER, PRIMARY_ACCOUNT_HOLDER Business associated with the current account. One of business_id or customer_id must be specified.
Date and time when this association was created.
Personal customer associated with the current account. One of customer_id or business_id must be specified.
Date and time when this association was deleted.
The ownership percentage of the related party.
0 <= x <= 10035.75
Person associated with the current account. This attribute is deprecated and will be removed in a future API version. Use customer_id instead.
Date and time when this association was last updated.
Response
Account relationship object
The relationship of the account and the customer/business.
Relationship type
ACCOUNT_HOLDER, AUTHORIZED_SIGNER, AUTHORIZED_USER, BENEFICIARY, JOINT_ACCOUNT_HOLDER, PRIMARY_ACCOUNT_HOLDER Account ID
Business associated with the current account. One of business_id or customer_id must be specified.
Date and time when this association was created.
Personal customer associated with the current account. One of customer_id or business_id must be specified.
Date and time when this association was deleted.
ID of account relationship
The ownership percentage of the related party.
0 <= x <= 10035.75
Person associated with the current account. This attribute is deprecated and will be removed in a future API version. Use customer_id instead.
Date and time when this association was last updated.
Was this page helpful?

